View Issue Details

IDProjectCategoryView StatusLast Update
15710Bug reportsErgonomypublic2020-01-28 17:44
ReporterDenisChenu Assigned Touser204295 
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.0.0-RC14 
Summary15710: text edition move when click inside
Description

When you have a lot of element on question, when you click where you want to add string : the textarea move …

Steps To Reproduce

See screencast

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.0-RC14
I will donate to the project if issue is resolvedNo
Browserfirefox
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2020-01-14 15:28

developer  

Peek 14-01-2020 15-17.gif (593,602 bytes)
ollehar

ollehar

2020-01-24 12:28

administrator   ~55453

This bug report does not describe the desired behaviour.

When I test in branch bug/15710-text-edition-move-when-click-inside, the text field auto-expands when I hover over the field with the mouse pointer. Correct?

DenisChenu

DenisChenu

2020-01-24 12:41

developer   ~55454

This bug report does not describe the desired behaviour.

This bug report describe the current behaviour. And it's an Ergonomy bug.
Then screencat is more clear:)

Maybe:
When you want to edit a big text,
If you click where you want to edit
The textarea move
And you don't see what you want to edit.

PS : still think we need a simple textarea way …

DenisChenu

DenisChenu

2020-01-24 12:48

developer   ~55455

Maybe : don't update size automatically , never …

Add a plugin (or use an option) : https://ckeditor.com/docs/ckeditor4/latest/examples/resize.html#!/guide/dev_resize

Seems the best solution

lime_release_bot

lime_release_bot

2020-01-28 17:44

administrator   ~55542

Fixed in Release 4.1.0+200128

Related Changesets

LimeSurvey: master d0af09f1

2020-01-23 16:24:27

user204295

Details Diff
Fixed issue 15710: text edition move when click inside Affected Issues
15710
mod - assets/packages/adminbasics/build/adminbasics.css Diff File
mod - assets/packages/adminbasics/build/adminbasics.js Diff File
mod - assets/packages/adminbasics/build/adminbasics.min.css Diff File
mod - assets/packages/adminbasics/build/adminbasics.min.js Diff File
mod - assets/packages/adminbasics/build/adminbasics.min.js.map Diff File
mod - assets/packages/adminbasics/build/adminbasics.rtl.css Diff File
mod - assets/packages/adminbasics/build/adminbasics.rtl.min.css Diff File
mod - assets/packages/adminbasics/scss/000-lime-admin-common.scss Diff File
mod - assets/packages/meta/LsCkeditor/src/plugins/LsImage/lsimageselect/lsimageselectui.js Diff File
mod - assets/packages/meta/LsCkeditor/src/plugins/LsReplacements/LsReplacementsUI.js Diff File
mod - assets/packages/meta/LsCkeditor/src/plugins/assets/styles.scss Diff File
mod - assets/packages/questioneditor/build.min/css/main.css Diff File
mod - assets/packages/questioneditor/build.min/js/questionedit.js Diff File
mod - assets/packages/questioneditor/build.min/js/questionedit.js.map Diff File
mod - assets/packages/questioneditor/build/js/questionedit.js Diff File
mod - assets/packages/questioneditor/build/js/questionedit.js.map Diff File

Issue History

Date Modified Username Field Change
2020-01-14 15:28 DenisChenu New Issue
2020-01-14 15:28 DenisChenu File Added: Peek 14-01-2020 15-17.gif
2020-01-14 15:29 DenisChenu Summary text edito move when click inside => text edition move when click inside
2020-01-14 17:11 cdorin Assigned To => cdorin
2020-01-14 17:11 cdorin Status new => assigned
2020-01-15 11:35 cdorin Assigned To cdorin => JHoeck
2020-01-17 15:33 JHoeck Assigned To JHoeck => cdorin
2020-01-24 12:28 ollehar Note Added: 55453
2020-01-24 12:41 DenisChenu Note Added: 55454
2020-01-24 12:48 DenisChenu Note Added: 55455
2020-01-27 15:35 user204295 Changeset attached => LimeSurvey master d0af09f1
2020-01-27 15:35 user204295 Assigned To cdorin => user204295
2020-01-27 15:35 user204295 Resolution open => fixed
2020-01-28 17:44 lime_release_bot Note Added: 55542
2020-01-28 17:44 lime_release_bot Status assigned => closed